ConnectCloud Developers

DELETE /api/forge/v1/projects/{key}/repositories/{id}

Module: Forge · operationId: deleteForgeRepository · Tag: Repositories · Auth: access token (Authorization: Bearer <accessToken>)

Requires tenant:forge:admin, or tenant:forge:write and project role maintainer or admin. When the default goes, the oldest remaining repository becomes the default.

Parameters

Name In Type Required Description
key path string yes Project key (e.g. APP)
id path string (uuid) yes

Responses

  • 204 Unlinked
  • 403 Error (application/json)
  • 404 Error (application/json)

Example request

curl -X DELETE 'https://api.mbcom.cloud/api/forge/v1/projects/string/repositories/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI